<?php
require('../../../QPlatform/Common/Component/ComInitialHead.php');
require($netsFileConfig['sysCoreRoot'].'Inc/m_Nets/System/netssysoptiongroup.php');

class PaDefault extends CustomPage {
	public $ssetParid=1;
	
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnPInitial(){
		$this->checkUser('1,2,3,');
		$this->sTable=array(
			array('sttTableName'=>$this->sysTableHead.'netssysoptiongroup','sttColumnHead'=>'sogt'),
			array('sttTableName'=>$this->sysTableHead.'netssysoptiongroupcont','sttColumnHead'=>'sogct'),);
		$this->sUiName='Platform/nets/system_optionGroup';
	}
	public function OnBInitial(){
		$this->sMetaTitle='选项';
		$this->sLimitCount=0;
		
		$this->sApp=new netssysoptiongroup($this->sConnString);
		//Parid
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=' SELECT A.sogtID,A.sogtName,A.sogtParid 
			FROM '.$this->sysTableHead.'netssysoptiongroup AS A
			WHERE 1=1 AND A.sogtRecycle=0 AND A.sogtChecked>1 AND A.sogtParid={Nets.Parid}
			ORDER BY A.sogtOrderBy DESC,A.sogtID DESC ';
		$tmpAR0['SQL0']=' SELECT A.sogtID,A.sogtName,A.sogtParid 
			FROM '.$this->sysTableHead.'netssysoptiongroup AS A
			WHERE 1=1 AND A.sogtRecycle=0 AND A.sogtChecked>1 AND A.sogtID={Nets.Parid}
			ORDER BY A.sogtOrderBy DESC,A.sogtID DESC ';
		$tmpAR0['InitialString']=$this->ssetParid;
		$tmpAR0['Parid']='sogtID';
		$tmpAR0['Text']='sogtName';
		$tmpAR0['Value']='sogtID';
		$tmpAR0['Type']=0;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$this->sParid1=$this->sParid2=$this->sControl->bindDropdown($tmpAR0);
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有的分类]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sParid2,$tmpAR0);
		
		//-- ------ #ActionType ------ --
		if ($this->sActionTypeF=='DMakeCache') {
			$this->OnMakeCache();
		}
		
		
	}
	public function OnMakeCache(){
		$tmpINT=$this->sApp->makeCache();
		
		$this->sJscript=$this->Message('SUCCESS','','成功生成所有选取项缓存',$this->sysPage);
		return 0;
	}
	public function OnList(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'sogtID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',-1',0);
		//#Spell sql
		$tmpSQL=' SELECT 
			A.sogtID,A.sogtName,A.sogtParid
			FROM '.$this->sysTableHead.'netssysoptiongroup AS A 
			INNER JOIN '.$this->sysTableHead.'netssysoptiongroupcont AS B ON B.sogctIndexID=A.sogtID 
			WHERE 1=1 
			AND A.sogtID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.sogtName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!='-1'){
			$tmpSQL.=' AND A.sogtParid='.$this->sSearchData[1].' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.$this->sSearchData[0].','.$this->sSearchData[1];
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'sogtID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'sogtName','stcoctUiName'=>'选项名');
		
		return 0;
	}
	public function OnNormal(){
		$tmpAR0=$this->AnalyerRequest('Normal','0,0',0);
		
		$tmpSQL=' SELECT * 
			FROM '.$this->sysTableHead.'netssysoptiongroup AS A 
			INNER JOIN '.$this->sysTableHead.'netssysoptiongroupcont AS B ON B.sogctIndexID=A.sogtID ';
		$Coun0=2;
		foreach ($this->sTable as $Row0){
			if (count($this->sTable)>2) {
				$tmpSQL.=' INNER JOIN '.$Row0['sttTableName'].' AS '.$this->sysTableMark[$Coun0].' ON '.$this->sysTableMark[$Coun0].'.'.$Row0['sttColumnHead'].'IndexID=A.sogtID ';
				$Coun0++;
			}
		}
		$tmpSQL.=' WHERE 1=1 AND A.sogtID='.$tmpAR0[0].' ';
		$tmpDataCollection0=$this->sDb->Search($tmpSQL);
		if(count($tmpDataCollection0)>0){
			$tmpRow=$tmpDataCollection0[0];
			$this->sMainID=$tmpRow[$this->sTable[0]['sttColumnHead'].'ID'];
			//-- #Get value --
			$Coun0=0;
			while (count($this->sUiDescription_Normal)>$Coun0) {
				if(isset($tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']])){
					$this->sUiDescription_Normal[$Coun0]['Value']=$tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']];
				}
				$Coun0++;
			}
		}else {}
	}
	
	public function DefUiPanel(&$pColumn,$pFlag){
		if($pColumn['stcotName']=='Quick'){
			$pColumn['Style']='width:50px;';
		}else if($pColumn['stcotName']=='sogtChecked' && $pFlag=='Search'){
			$pColumn['Option']=$this->sChecked2;
		}else if($pColumn['stcotName']=='sogtChecked' && $pFlag=='Normal'){
			$pColumn['Option']=$this->sChecked1;
		}else if($pColumn['stcotName']=='sogtParid' && $pFlag=='Search'){
			$pColumn['Option']=$this->sParid2;
		}else if($pColumn['stcotName']=='sogtParid' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Option']=$this->sParid1;
		}
		return $pColumn;
	}
	public function DefUiButton($pFlag,$Exception){
		parent::DefUiButton($pFlag,array('List','List_Head',));
		if ($pFlag=='List') { ?>
<?php if (in_array($this->sFunctionname.'_delete',$this->sAR_UserPower) && count($this->sAR_UserPower)>1) {}else { ?>
<li class="ButBut Button_Normal"><a href="#Here" class="Link1 FBlack2" onclick="tmpControl.onDelete_Multiple();tmpCommon.setActionType('','DDelete_Multiple','',''); tmpCommon.netsSubmit();">批量删除</a></li><?php } ?>
<?php if (in_array($this->sFunctionname.'_modify',$this->sAR_UserPower) && count($this->sAR_UserPower)>1) {}else { ?>
<li class="ButBut Button_Normal"><a href="#Here" class="Link1 FBlack2" onclick="tmpControl.onNormal_MultipleByTxt('','','');">批量修改所选（文本）</a></li><?php } ?>
<?php if (in_array($this->sFunctionname.'_modify',$this->sAR_UserPower) && count($this->sAR_UserPower)>1) {}else { ?>
<li class="ButBut Button_Normal"><a href="#Here" class="Link1 FBlack2" onclick="tmpControl.onNormal_MultipleByRow('','','');">批量修改所选</a></li><?php } ?>
<?php if (in_array($this->sFunctionname.'_modify',$this->sAR_UserPower) && count($this->sAR_UserPower)>1) {}else { ?>
<li class="ButBut Button_Normal"><a href="#Here" class="Link1 FBlack2" onclick="tmpControl.onModify_Page();tmpCommon.setActionType('','DModify_Page','',''); tmpCommon.netsSubmit();">保存本页修改</a></li><?php } ?>
<?php if (in_array($this->sFunctionname.'_modify',$this->sAR_UserPower) && count($this->sAR_UserPower)>1) {}else { ?>
<li class="ButBut Button_Normal"><a href="#Here" class="Link1 FBlack2" onclick="tmpCommon.setActionType('','DMakeCache','',''); tmpCommon.netsSubmit();">生成选项缓存</a></li><?php } ?>


<?php }else if($pFlag=='List_Head'){ ?>
<?php if (in_array($this->sFunctionname.'_delete',$this->sAR_UserPower) && count($this->sAR_UserPower)>1) {}else { ?>
<li class="Tab_Option_Button">
	<div class="Tab_Option_ButtonCell"><img src="<?php echo($this->sysFileConfig['sysUiCoreRoot']); ?>Ui/Common/Img/Common/icon_head_3.jpg" /></div>
<div class="Tab_Option_ButtonCell"><a href="#Here" class="Link1 FBlue2" onclick="tmpControl.onDelete_Multiple();tmpCommon.setActionType('','DDelete_Multiple','',''); tmpCommon.netsSubmit();">批量删除</a></div></li><?php } ?>
<?php if (in_array($this->sFunctionname.'_modify',$this->sAR_UserPower) && count($this->sAR_UserPower)>1) {}else { ?>
<li class="Tab_Option_Button">
	<div class="Tab_Option_ButtonCell"><img src="<?php echo($this->sysFileConfig['sysUiCoreRoot']); ?>Ui/Common/Img/Common/icon_head_2.jpg" /></div>
	<div class="Tab_Option_ButtonCell"><a href="#Here" class="Link1 FBlue2" onclick="tmpControl.onNormal_MultipleByTxt('','','');">批量.文本</a></div></li><?php } ?>
<?php if (in_array($this->sFunctionname.'_modify',$this->sAR_UserPower) && count($this->sAR_UserPower)>1) {}else { ?>
<li class="Tab_Option_Button">
	<div class="Tab_Option_ButtonCell"><img src="<?php echo($this->sysFileConfig['sysUiCoreRoot']); ?>Ui/Common/Img/Common/icon_head_2.jpg" /></div>
	<div class="Tab_Option_ButtonCell"><a href="#Here" class="Link1 FBlue2" onclick="tmpControl.onNormal_MultipleByRow('','','');">批量</a></div></li><?php } ?>
<?php if (in_array($this->sFunctionname.'_modify',$this->sAR_UserPower) && count($this->sAR_UserPower)>1) {}else { ?>
<li class="Tab_Option_Button">
	<div class="Tab_Option_ButtonCell"><img src="<?php echo($this->sysFileConfig['sysUiCoreRoot']); ?>Ui/Common/Img/Common/icon_head_1.jpg" /></div>
	<div class="Tab_Option_ButtonCell"><a href="#Here" class="Link1 FBlue2" onclick="tmpControl.onModify_Page();tmpCommon.setActionType('','DModify_Page','',''); tmpCommon.netsSubmit();">保存本页</a></div></li><?php } ?>
<?php if (in_array($this->sFunctionname.'_modify',$this->sAR_UserPower) && count($this->sAR_UserPower)>1) {}else { ?>
<li class="Tab_Option_Button">
	<div class="Tab_Option_ButtonCell"><img src="<?php echo($this->sysFileConfig['sysUiCoreRoot']); ?>Ui/Common/Img/Common/icon_head_1.jpg" /></div>
	<div class="Tab_Option_ButtonCell"><a href="#Here" class="Link1 FBlue2" onclick="tmpCommon.setActionType('','DMakeCache','',''); tmpCommon.netsSubmit();">生成选项缓存</a></div></li><?php } ?>


<?php }
	}
	
	
	

}
//-- ------ #Instanct ------ --
$tmpDefault=new PaDefault();
$tmpDefault->OnPage();
$tmpControls=new CustomControls();
$tmpControlPage=new CustomControlPage();
$tmpComHead->sMenuid=$tmpDefault->sMenuid;
$tmpDefault->sysMetaTitle=$tmpDefault->sMetaTitle.' - '.$tmpDefault->sysFileConfig['sysTitle'];
//-- ------ #Template ------ --
require($tmpDefault->sysFileConfig['sysCoreRoot'].$tmpDefault->sysQPlatformTemplatePath.'Component/Group_0.php'); ?>